---
updatedAt: 2025-02-19T22:14:57.000Z
agentTools:
  projectIndex: https://changelog-dzt-kg.readme.io/llms.txt
---

# Get all geo enrichment job reports

Retrieves all linking job reports for the given publisher/datasource

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Things Service - KG Platform",
    "version": "1.0.0",
    "description": "# General Information\nThe KG Platform API provides a set of services for\n- knowledge management (Create, Update, Delete and Status)\n- knowledge access (Read and Query)\n- graph management (export and delete)\n\nThe Geo Enrichment and Geo Linking Service are currently available as beta status in the pre-production environment\n",
    "termsOfService": "https://onlim.com/en/terms-conditions/",
    "contact": {
      "email": "office@onlim.com",
      "url": "https://onlim.com/en/contact/"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "x-logo": {
      "url": "https://onlim.com/wp-content/uploads/2017/11/logo-header.png"
    }
  },
  "servers": [
    {
      "url": "https://proxy.opendatagermany.io/api/ts/"
    }
  ],
  "tags": [
    {
      "name": "Geo Enrichment Job",
      "x-displayName": "Geo Enrichment Jobs",
      "description": "Operations for the geo enrichment"
    }
  ],
  "paths": {
    "/v1/kg/geo/enrich/jobs": {
      "get": {
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "tags": [
          "Geo Enrichment Job"
        ],
        "summary": "Get all geo enrichment job reports\n",
        "operationId": "getAllGeoEnrichmentJobs",
        "description": "Retrieves all linking job reports for the given publisher/datasource\n",
        "parameters": [
          {
            "$ref": "#/components/parameters/x-api-key_required"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/GeoEnrichmentJobReport"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Request parameters are invalid",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ClientError"
                }
              }
            }
          },
          "500": {
            "description": "Unexpected server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ServerError"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "x-api-key_required": {
        "in": "header",
        "name": "X-API-KEY",
        "description": "the api key for authentication and authorization",
        "schema": {
          "type": "string"
        },
        "required": true,
        "x-public": true
      }
    },
    "schemas": {
      "ClientError": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "status": {
                "type": "string"
              },
              "message": {
                "type": "string"
              },
              "id": {
                "type": "string"
              },
              "timestamp": {
                "type": "string",
                "format": "date-time"
              }
            }
          }
        ]
      },
      "ServerError": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "status": {
                "type": "string"
              },
              "message": {
                "type": "string"
              },
              "id": {
                "type": "string"
              },
              "timestamp": {
                "type": "string",
                "format": "date-time"
              }
            }
          }
        ]
      },
      "GeoEnrichmentJobReport": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "example": "job uuid"
          },
          "publisher": {
            "type": "string",
            "example": "some uuid"
          },
          "dataSource": {
            "type": "string",
            "example": "some uuid"
          },
          "startTime": {
            "type": "string",
            "example": "2023-02-07T12:01:54.906"
          },
          "processingDurationMs": {
            "type": "integer",
            "format": "int32",
            "example": 845
          },
          "geoConfigId": {
            "type": "string",
            "description": "Which config id was used for the job",
            "example": "uuid"
          },
          "running": {
            "type": "boolean"
          },
          "aborted": {
            "type": "boolean"
          },
          "postalAddressNormalisationProgress": {
            "type": "integer",
            "format": "int32",
            "example": 1
          },
          "geoEnrichmentCandidateSize": {
            "type": "integer",
            "format": "int32",
            "example": 1
          },
          "geoEnrichmentProgress": {
            "type": "integer",
            "format": "int32",
            "example": 1
          },
          "whatThreeWordsProgress": {
            "type": "integer",
            "format": "int32",
            "example": 1
          }
        }
      }
    }
  },
  "x-tagGroups": [
    {
      "name": "Knowledge management",
      "description": "Only data import is implemented",
      "tags": [
        "Import",
        "Import Status",
        "Update Thing",
        "Delete Things"
      ]
    },
    {
      "name": "Knowledge access",
      "description": "Read and query data",
      "tags": [
        "Get Thing",
        "Get Meta",
        "Get Ontology",
        "Get representative super type",
        "Saved Queries",
        "SPARQL",
        "Search Things",
        "Search Things V2"
      ]
    },
    {
      "name": "Named graphs",
      "description": "Managing named graphs",
      "tags": [
        "Named Graphs"
      ]
    },
    {
      "name": "Geo Enrichment Service (BETA Status)",
      "description": "(BETA Status)",
      "tags": [
        "Geo Enrichment Config",
        "Geo Enrichment Job"
      ]
    },
    {
      "name": "Geo Linking Service (BETA Status)",
      "description": "(BETA Status)",
      "tags": [
        "Geo Linking Config",
        "Geo Linking Job"
      ]
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```